Debian Bug report logs - #399101
RM: ccc -- RoQA; orphaned, unused, broken, alternatives available

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Adam C Powell IV <hazelsct@debian.org>

Date: Fri, 17 Nov 2006 18:18:10 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#399101; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Cc: Debian Alpha <debian-alpha@lists.debian.org>
Subject: O: ccc, cxx, libots, cpml, cxml, cfal, cfalrtl, libffm
Date: Sat, 18 Nov 2006 03:10:13 +0900
Package: wnpp

Greetings,

I'm afraid my last piece of alpha hardware has gone out the door, and I
am no longer a linux-alpha or debian-alpha user. :-(  I'll have fond
memories of the machines and of lists like this one and linux-alpha, as
this was my first Linux platform, and my demonstration of its
performance/price in the late 90s initiated a Linux transition at my
former employer, in no small part thanks to the volunteer help I got,
and hopefully gave back.

Oh well.  More importantly for this list, I am no longer able to
maintain the DEC->Compaq->HP alpha compiler and math library installers,
nor the "free fast math" libffm of Goto and Wesner.  Unfortunately this
means I need to orphan them, and hope they find a maintainer.

libffm should be in good shape and, as far as I know, need little to no
maintenance at all, unless someone wants to add to the library.
Upstream has long since stopped supporting it, and though some of its
code has migrated to glibc, it has some unique and extremely
fast/powerful vectorized functions.  For example dsqrtiv() very rapidly
performs 1/sqrt(x) for an array of doubles; this function on the fastest
alpha may still be faster than glibc on the fastest Xeon or Opteron for
this purpose.

As for the others, because a three year campaign to get Compaq to let me
distribute the non-free libraries and (encrypted) compilers hit dead
ends, the biggest maintenance hassle is updating the debconf templates
to keep track of the elusive download URLs.  They also have template
translation bugs open which I never got to, and which will be dealt with
by NMUs around the end of this month; apologies to the translation
authors for the delay.  These too are long since abandoned by upstream,
and gcc/glibc have been catching up to them in performance, so their
need is not clear at this point.

Sorry about the sudden nature of this right before the etch release.  I
should have anticipated the effect of this change on my packages long
ago and done something preemptive about it. :-(

Best wishes for the continued upkeep of this great architecture and
platform!

Regards,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Bug 399101 cloned as bugs 399349, 399350, 399351, 399352, 399353, 399354. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#399101; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 399101@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: debian-qa@lists.debian.org
Cc: 399101@bugs.debian.org
Subject: Can ccc, cfal, libots and friends be removed?
Date: Wed, 10 Jan 2007 16:47:14 +0100
[Message part 1 (text/plain, inline)]
Hi,

In November, the following packages have been orphaned:

ccc	Compaq C Compiler for Linux Alpha
cfal	Compaq Fortran Compiler for Linux Alpha
cfalrtl	Compaq Fortran Run-Time Library (installer)
cpml	Compaq Portable Math Library (installer)
cxml	Compaq Extended Math Library (installer)
libots	Compaq Compiled Code Support Library (installer)

They are "just" downloaders&installers in contrib for RPM's targetted at
alpha. Some of the download URL's are broken, all of the open bugs are
about gettext translations, there's many lintian errors for each,
there's next to no popcon-user for any of the packages. Abandoned
upstream and gcc seems a good replacement (according to previous
maintainer).

I think you get my point: I think it's better to drop this set of six
source packages rather than maintain them within the QA Group.
Objections against filing removal bugs?


Thijs
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#399101; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 399101@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: debian-qa@lists.debian.org, 399101@bugs.debian.org
Subject: Re: Can ccc, cfal, libots and friends be removed?
Date: Sat, 13 Jan 2007 03:58:33 -0800
On Wed, Jan 10, 2007 at 04:47:14PM +0100, Thijs Kinkhorst wrote:

> In November, the following packages have been orphaned:

> ccc	Compaq C Compiler for Linux Alpha
> cfal	Compaq Fortran Compiler for Linux Alpha
> cfalrtl	Compaq Fortran Run-Time Library (installer)
> cpml	Compaq Portable Math Library (installer)
> cxml	Compaq Extended Math Library (installer)
> libots	Compaq Compiled Code Support Library (installer)

> They are "just" downloaders&installers in contrib for RPM's targetted at
> alpha. Some of the download URL's are broken, all of the open bugs are
> about gettext translations, there's many lintian errors for each,
> there's next to no popcon-user for any of the packages. Abandoned
> upstream and gcc seems a good replacement (according to previous
> maintainer).

Hmm, really?  Do you have a reference on that last bit?  THe last I knew,
Compaq's compilers still created better-optimized code than gcc would on
alpha.

> I think you get my point: I think it's better to drop this set of six
> source packages rather than maintain them within the QA Group.
> Objections against filing removal bugs?

I don't object either way, for me they're not worth using due to their
non-free status.  Life's too short. :)

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#399101; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 399101@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: debian-qa@lists.debian.org, 399101@bugs.debian.org
Subject: Re: Can ccc, cfal, libots and friends be removed?
Date: Sat, 13 Jan 2007 15:29:41 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2007-01-13 at 03:58 -0800, Steve Langasek wrote:
> > They are "just" downloaders&installers in contrib for RPM's targetted at
> > alpha. Some of the download URL's are broken, all of the open bugs are
> > about gettext translations, there's many lintian errors for each,
> > there's next to no popcon-user for any of the packages. Abandoned
> > upstream and gcc seems a good replacement (according to previous
> > maintainer).
> 
> Hmm, really?  Do you have a reference on that last bit?  THe last I knew,
> Compaq's compilers still created better-optimized code than gcc would on
> alpha.

I was maybe a bit brief, but the previous maintainer writes in his
orphan bug that there may be very specific pieces of code for which this
compiler still delivers extremely fast, but that gcc has caught up on a
large part of the performance. Hence the usefulness is probably not
entirely zero, but much of the advantage of using it has disappeared.

> I don't object either way, for me they're not worth using due to their
> non-free status.  Life's too short. :)

Right :) Following the same reasoning about life, I don't think the QA
team should be supporting the packages - with their very limited use -
if noone wants to maintain them properly. I'll request their removal in
the upcoming week.


Thijs
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam C Powell IV <hazelsct@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 399101-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 399101-close@bugs.debian.org
Cc: ccc@packages.debian.org, ccc@packages.qa.debian.org
Subject: Bug#399101: fixed
Date: Mon, 12 Feb 2007 10:13:00 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

       ccc | 6.5.9.001-3.2 | source, alpha

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399101@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 10:19:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:52:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.